package com.storlead.framework.common.util;

/**
 * @program: storlead-saas-platform
 * @description:
 * @author: chenkq
 * @create: 2026-05-18 18:02
 */
public class SpringCompareUtil {


    /**
     * 包含匹配
     * @param var1
     * @param var2
     * @return
     */
    public static boolean includeEqual(Integer var1,Integer... var2) {
        if (var1 == null || var2 == null) {
            return false;
        }
        for (Integer i : var2) {
            if (var1.equals(i)) {
                return true;
            }
        }
        return false;
    };


    /**
     * @description: 完全匹配
     * @param var1
     * @param var2
     * @return
     */
    public static boolean fullEqual(Integer var1,Integer... var2) {
        if (var1 == null || var2 == null) {
            return false;
        }
        for (Integer i : var2) {
            if (!var1.equals(i)) {
                return false;
            }
        }
        return true;
    };
}
